# Rusty Capacitance Model Core

![GitHub Workflow Status](https://github.com/b-vanstraaten/rusty_capacitance_model_core/workflows/CI/badge.svg)
![PyPI](https://img.shields.io/pypi/v/rusty-capacitance-model-core)

**Quantum Dot Constant Capacitance Simulator** is a high-performance Python package that leverages the power of Rust and Rayon to provide a fully parallelised and optimised simulation environment for quantum dots with constant capacitance.

**This package provides core functionality; it is not intended that the user will interact with it directly.**

## Features

- **Ultra-fast Simulation:** Harnesses the speed of Rust and the parallelism of Rayon to deliver lightning-fast simulations.
- **Constant Capacitance:** Specialized for simulating quantum dots with constant capacitance, allowing precise modelling of charge dynamics.
- **User-Friendly:** Designed with ease of use in mind, making it accessible to both experts and newcomers in quantum dot simulations.
- **Extensive Documentation:** Comprehensive documentation and examples to help you get started quickly.

## Installation

Install Quantum Dot Constant Capacitance Simulator using pip:

```bash
pip install rusty-capacitance-model-core
```